Loading...
Searching...
No Matches
itk::AdvancedNormalizedCorrelationImageToImageMetric< TFixedImage, TMovingImage >::MultiThreaderAccumulateDerivativeType Struct Reference

## Detailed Description

template<class TFixedImage, class TMovingImage>
struct itk::AdvancedNormalizedCorrelationImageToImageMetric< TFixedImage, TMovingImage >::MultiThreaderAccumulateDerivativeType

Helper structs that multi-threads the computation of the metric derivative using ITK threads.

Definition at line 232 of file itkAdvancedNormalizedCorrelationImageToImageMetric.h.

## Data Fields

DerivativeValueType * | st_DerivativePointer
RealType | st_InvertedDenominator
AdvancedNormalizedCorrelationImageToImageMetric * | st_Metric
AccumulateType | st_sf_N
AccumulateType | st_sfm_smm
AccumulateType | st_sm_N

## Field Documentation

## st_DerivativePointer

template<class TFixedImage, class TMovingImage>

DerivativeValueType* itk::AdvancedNormalizedCorrelationImageToImageMetric< TFixedImage, TMovingImage >::MultiThreaderAccumulateDerivativeType::st_DerivativePointer

Definition at line 240 of file itkAdvancedNormalizedCorrelationImageToImageMetric.h.

## st_InvertedDenominator

template<class TFixedImage, class TMovingImage>

RealType itk::AdvancedNormalizedCorrelationImageToImageMetric< TFixedImage, TMovingImage >::MultiThreaderAccumulateDerivativeType::st_InvertedDenominator

Definition at line 239 of file itkAdvancedNormalizedCorrelationImageToImageMetric.h.

## st_Metric

template<class TFixedImage, class TMovingImage>

AdvancedNormalizedCorrelationImageToImageMetric* itk::AdvancedNormalizedCorrelationImageToImageMetric< TFixedImage, TMovingImage >::MultiThreaderAccumulateDerivativeType::st_Metric

Definition at line 234 of file itkAdvancedNormalizedCorrelationImageToImageMetric.h.

## st_sf_N

template<class TFixedImage, class TMovingImage>

AccumulateType itk::AdvancedNormalizedCorrelationImageToImageMetric< TFixedImage, TMovingImage >::MultiThreaderAccumulateDerivativeType::st_sf_N

Definition at line 236 of file itkAdvancedNormalizedCorrelationImageToImageMetric.h.

## st_sfm_smm

template<class TFixedImage, class TMovingImage>

AccumulateType itk::AdvancedNormalizedCorrelationImageToImageMetric< TFixedImage, TMovingImage >::MultiThreaderAccumulateDerivativeType::st_sfm_smm

Definition at line 238 of file itkAdvancedNormalizedCorrelationImageToImageMetric.h.

## st_sm_N

template<class TFixedImage, class TMovingImage>

AccumulateType itk::AdvancedNormalizedCorrelationImageToImageMetric< TFixedImage, TMovingImage >::MultiThreaderAccumulateDerivativeType::st_sm_N

Definition at line 237 of file itkAdvancedNormalizedCorrelationImageToImageMetric.h.

Generated on 1768596610 for elastix by 1.15.0 |